Bug 755054 - Review Request: gnome-font-viewer - Utility for previewing fonts for GNOME
Review Request: gnome-font-viewer - Utility for previewing fonts for GNOME
Status: CLOSED DUPLICATE of bug 807662
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 11:48 EST by Anuj More
Modified: 2012-03-28 10:09 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 10:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tiagomatos: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Anuj More 2011-11-18 11:48:21 EST
Spec URL: http://fedorapeople.org/~anujmore/pkgs/gnome-font-viewer.spec
SRPM URL: http://fedorapeople.org/~anujmore/pkgs/gnome-font-viewer-3.3.2.1-0.fc16.src.rpm
Description: Use gnome-font-viewer, the Font Viewer, to preview fonts and display 
information about a specified font. You can use the Font Viewer to display the 
name, style, type, size, version, and copyright of the font.

To browse the fonts installed on your system, open a file manager  window  and 
enter the following URI in the location: fonts:///
Double-click on an icon to display a preview of the font.
Comment 1 Anuj More 2011-11-18 11:59:32 EST
And builds successfully on koji:
Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=3524177

Requires glib2-devel-2.31.0 to configure, and since the latest glib2-devel in stable is 2.30.1, this will run only on rawhide.

Thanks! :)
Comment 2 Volker Fröhlich 2011-11-18 17:36:45 EST
License is GPLv2+. The FSF address is wrong. Feel free to correct it and ask upstream to also do so.

The description is not a manual. I suggest to remove the second paragraph.

You can use the name and version macro for Source. Some people are opposed to using the name macro there though.

%doc is usually right underneath %files.

ABOUT-NLS has nothing to do with this package, I think.

The changelog should depict what you changed in packaging.

Rpmlint says, you're mixing spaces and tabs on line 8. Rpmlint also complains about your file not having a changelog entry, although it has one. Try to find out why that happens. I haven't seen that before.

You can also shorten the BuildRequires a bit:

For instance, GConf2-devel requires glib2-devel.
Comment 3 Parag AN(पराग) 2011-11-27 22:32:50 EST
any further updates here?
Comment 4 Anuj More 2011-11-27 22:39:48 EST
@Volker: I will upload those changes right away.

@Parag: I am almost there.
Exam season :/

I have an exam tomorrow, which means I should upload the changes by ~2000 IST.
Comment 6 Volker Fröhlich 2011-12-06 14:23:23 EST
You forgot to change the license and to remove ABOUT-NLS.

And as I said, the version macro would fit fine for Source.

The changelog should be a bit more accurate to be useful, because removing something from BR is not a "change in format".

Please remove the comma in front of "and copyright". I personally think, the description could be worded simpler, but that won't block the review.
Comment 7 Volker Fröhlich 2011-12-06 17:46:40 EST
The compiler doesn't use Fedora's flags: http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 8 Parag AN(पराग) 2011-12-21 05:11:57 EST
any updates here?
Comment 9 Rui Matos 2012-03-05 12:16:10 EST
Thank you for starting this Anuj! I took the liberty of updating the spec file. Review is very welcome.

spec: http://glua.ua.pt/~rmatos/gnome-font-viewer.spec
srpm: http://glua.ua.pt/~rmatos/gnome-font-viewer-3.3.2.1-2.fc16.src.rpm
Comment 10 Anuj More 2012-03-05 12:43:16 EST
Thanks Rui,
I had a hard time with my Fedora VM install, and any help (with the package) is appreciated.

There's also this: https://bugzilla.redhat.com/show_bug.cgi?id=754191 which is more than half done.
Comment 12 Volker Fröhlich 2012-03-27 15:21:50 EDT
Doesn't build on Fedora 16 64 Bit:

checking for FONTVIEW... no
configure: error: Package requirements (freetype2
                  gio-2.0 >= 2.31.0
                  glib-2.0 >= 2.31.0
                  gtk+-3.0 >= 3.0.0) were not met:
Requested 'gio-2.0 >= 2.31.0' but version of GIO is 2.30.2
Requested 'glib-2.0 >= 2.31.0' but version of GLib is 2.30.2
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables FONTVIEW_CFLAGS
and FONTVIEW_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
Comment 13 Mohamed El Morabity 2012-03-27 15:39:59 EDT
(In reply to comment #12)
> Doesn't build on Fedora 16 64 Bit:
> 
> checking for FONTVIEW... no
> configure: error: Package requirements (freetype2
>                   gio-2.0 >= 2.31.0
>                   glib-2.0 >= 2.31.0
>                   gtk+-3.0 >= 3.0.0) were not met:
> Requested 'gio-2.0 >= 2.31.0' but version of GIO is 2.30.2
> Requested 'glib-2.0 >= 2.31.0' but version of GLib is 2.30.2
This new package isn't intended to be available in Fedora 16 and below. For such versions, gnome-font-viewer is already provided in Fedora <= 16 in the gnome-utils package.
All these requirements for gnome-font-viewer are satisfied in Fedora 17.
The former gnome-utils tarball was splitted for GNOME 3.4 in new subprojects, such as baobab, gnome-search-tool... And gnome-font-viewer.

Rui Matos: thanks for the update, it's a good job. Don't forget anyway that AnujMore is still the submitter for this package. But I'm sure he will take advantage of your work to complete this review at last.
Comment 14 Volker Fröhlich 2012-03-27 16:00:12 EDT
I see! That wasn't obvious from the request.
Comment 15 Kalev Lember 2012-03-28 08:25:09 EDT
Hey guys, I'd like to help get this moving again.

Rui: I see you've raised the fedora‑review? flag. In Fedora package review process, the setting it to "?" means that the person raising the flag is currently reviewing the spec file.

However, you're the one who uploaded the spec file and you can't review your own work. I think it'd be better if you open a new ticket with your work (so that you are listed as the submitter) and mark this one as a duplicate.

I'd then be able to review the new package so that we can finally get it included in Fedora.
Comment 16 Mohamed El Morabity 2012-03-28 08:33:58 EDT
(In reply to comment #15)
> I think it'd be better if you open a new ticket with your work (so
> that you are listed as the submitter) and mark this one as a duplicate.
It wouldn't be fair to close arbitrarily this review if AnujMore hasn't expressely gave it up. And according to the guidelines, this review is not yet considered to be stalled:
    http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding
Comment 17 Anuj More 2012-03-28 09:54:51 EDT
Ready to give this up.

Rui is doing considerable work on this, and (as previously mentioned) I am not having a proper Fedora install around me. I don't mind giving this package to him :)

Thanks!
Comment 18 Mohamed El Morabity 2012-03-28 10:09:42 EDT
Thank you for you reply Anuj.
Rui, I've just reopen your review request, I'm closing then this one.

*** This bug has been marked as a duplicate of bug 807662 ***

Note You need to log in before you can comment on or make changes to this bug.